import sys
import os

# 将项目根目录添加到Python路径
current_dir = os.path.dirname(os.path.abspath(__file__))
sys.path.append(current_dir)

from core.proxy_server import ChargingPileProxyServer
import logging

# 设置系统默认编码为UTF-8
if sys.version_info[0] == 3:
    sys.stdout.reconfigure(encoding='utf-8')
    

# 配置日志
logging.basicConfig(
    filename='test.log',
    level=logging.INFO,
    format='%(asctime)s - %(levelname)s - %(message)s',
    encoding='utf-8'
)

def main():
    server = ChargingPileProxyServer()
    try:
        server.start()
    except KeyboardInterrupt:
        server.stop()
        msg = "代理服务器已完全关闭"
        logging.info(msg)
        print(msg)

if __name__ == "__main__":
    main()